snd_pcm_playback_empty
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_playback_empty — check whether the playback buffer is empty

## Synopsis

`int snd_pcm_playback_empty (` | struct snd_pcm_substream * | substream`)`;

## Arguments

`substream`

  the pcm substream instance

## Description

Checks whether the playback buffer is empty.

Returns non-zero if empty, or zero if not.

Prev | Up | Next
snd_pcm_playback_data | Home | snd_pcm_capture_empty